kabc Library: KABC::DistributionList Class Reference (kabc Library)

| # kabc Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KABC::DistributionList Class Reference

Distribution list of email addresses. More...

`#include <distributionlist.h>`

Collaboration diagram for KABC::DistributionList:

[legend]
List of all members.

## Public Member Functions
| DistributionList (DistributionListManager *manager, const QString &name)
| ~DistributionList ()
void | setName (const QString &)
QString | name () const
void | insertEntry (const Addressee &, const QString &email=QString::null)
void | removeEntry (const Addressee &, const QString &email=QString::null)
QStringList | emails () const
Entry::List | entries () const
## Classes
struct | Entry
| Distribution List Entry. More...

## Detailed Description

Distribution list of email addresses.

This class represents a list of email addresses. Each email address is associated with an address book entry. If the address book entry changes, the entry in the distribution list is automatically updated.

Definition at line 39 of file distributionlist.h.

## Constructor & Destructor Documentation

DistributionList::DistributionList | ( | DistributionListManager * | manager,
|  | const QString & | name
| ) |

  | Create distribution list object. Parameters:
  | manager | Managing object of this list.
  | name | Name of this list.
Definition at line 33 of file distributionlist.cpp. References KABC::DistributionListManager::insert().

DistributionList::~DistributionList | ( |  | ) |

| Destructor. Definition at line 40 of file distributionlist.cpp. References KABC::DistributionListManager::remove().

## Member Function Documentation

void DistributionList::setName | ( | const QString & |  | ) |

| Set name of this list. The name is used as key by the DistributinListManager. Definition at line 45 of file distributionlist.cpp. References name().

QString DistributionList::name | ( |  | ) | const

| Get name of this list. Definition at line 50 of file distributionlist.cpp. Referenced by setName().

void DistributionList::insertEntry | ( | const Addressee & | ,
|  | const QString & | email = `QString::null`
| ) |

| Insert an entry into this distribution list. If the entry already exists nothing happens. Definition at line 55 of file distributionlist.cpp. References QValueList::append(), QValueList::begin(), and QValueList::end().

void DistributionList::removeEntry | ( | const Addressee & | ,
|  | const QString & | email = `QString::null`
| ) |

| Remove an entry from this distribution list. If the entry doesn't exist nothing happens. Definition at line 77 of file distributionlist.cpp. References QValueList::begin(), QValueList::end(), and QValueList::remove().

QStringList DistributionList::emails | ( |  | ) | const

| Return list of email addresses, which belong to this distributon list. These addresses can be directly used by e.g. a mail client. Definition at line 88 of file distributionlist.cpp. References QValueList::begin(), emails(), QValueList::end(), KABC::Addressee::fullEmail(), and QString::isEmpty(). Referenced by emails().

DistributionList::Entry::List DistributionList::entries | ( |  | ) | const

| Return list of entries belonging to this distribution list. This function is mainly useful for a distribution list editor. Definition at line 106 of file distributionlist.cpp.

The documentation for this class was generated from the following files:

- distributionlist.h
- distributionlist.cpp

This file is part of the documentation for kabc Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:31:39 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003